<div th:replace="~{fragments/header}"></div>
    <!-- <h2 th:if="${test != null}" th:text="${test}">HELLO!!!!!</h2>
    <div th:if="${test != null}">TEST EXIST
        <span>Machin</span>
        <div th:if="${boolVar}">
            <table>
                <thead>
                    <tr>
                        <th>tralala</th>
                        <th>Trololelel</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>tralala</td>
                        <td>Trololelel</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div th:unless="${test != null}">TEST DOES NOT EXIST</div>
    <div th:switch="${type}">
        <span th:case="'A'">TYPE A</span>
        <span th:case="'B'">TYPE B</span>
        <span th:case="'C'">TYPE C</span>
        <span th:case="*">DEFAULT</span>
    </div>
    <table class="table" th:if="${list != null && !list.empty}">
        <thead>
            <tr>
                <th>Number</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="item : ${list}">
                <td th:text="${item}"></td>
            </tr>
        </tbody>
    </table> -->

    <table class="table" th:if="${persons != null && !persons.empty}">
        <thead>
            <tr>
                <th>Firstname</th>
                <th>Lastname</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="person : ${persons}">
                <td th:text="${person.getFirstname()}"></td>
                <td th:text="${person.lastname}"></td>
                <td><a class="btn btn-primary" th:href="@{/person/edit/{id}(id=${person.getId()})}">edit</a></td>
                <td><a class="btn btn-danger" th:href="@{/person/delete/{id}(id=${person.getId()})}">delete</a></td>
            </tr>
        </tbody>
    </table>
<div th:replace="~{fragments/footer}"></div>